<?php

namespace Schaffen\Gef\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use Schaffen\Gef\Presenters\ApontamentoVeiculoGastoItemPresenter;
use Schaffen\Gef\Repositories\ApontamentoVeiculoGastoItemRepository;
use Schaffen\Gef\Models\ApontamentoVeiculoGastoItem;
use Schaffen\Gef\Validators\ApontamentoVeiculoGastoItemValidator;

/**
 * Class ApontamentoVeiculoGastoItemRepositoryEloquent.
 *
 * @package namespace Schaffen\Gef\Repositories;
 */
class ApontamentoVeiculoGastoItemRepositoryEloquent extends BaseRepository implements ApontamentoVeiculoGastoItemRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return ApontamentoVeiculoGastoItem::class;
    }

   public function presenter()
   {
      return ApontamentoVeiculoGastoItemPresenter::class;
   }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
    }
    
}
